Skip to main content

Get External Key Campaign By Id

GET 

/v1/sandbox/:sandbox_id/external-key-campaign/:external_key_campaign_id

Get External Key Campaign by ID. Requires any of permissions: sandbox:config:view, sandbox:config:edit

Request

Path Parameters

    external_key_campaign_id uuidrequired

    External Key Campaign ID

    sandbox_id uuidrequired

    Sandbox ID

Responses

Successful Response

Schema

    custom_data

    object

    Custom data associated with the resource

    property name* string
    name Name (string)

    Possible values: non-empty and <= 125 characters

    Name of the resource

    description Description (string)

    Possible values: <= 250 characters

    Description of the resource

    key_types string[]

    Possible values: non-empty and <= 256 characters

    Default value: ``

    The types of keys that can be distributed by this campaign.

    sandbox_id uuid

    ID of the Sandbox

    last_modified_account_id uuid

    Account ID of the user who last modified the resource

    last_modified_timestamp date-time

    Timestamp of when the resource was last modified

    created_timestamp date-time

    Timestamp of when the resource was created

    external_key_campaign_id uuidrequired

    The External Key Campaign ID.

Loading...